close all

%%Valutazione Iv
zIv = 0;
if zIv == 0
    %%Grafici Risultati Simulazioni
    figure
    subplot(1,2,1)
    plot(out.Pgambe,'LineWidth',4),grid
    hold on
    plot(out.Pgin,'LineWidth',4)
    plot(out.Pcarico,'LineWidth',4)
    xlabel('Tempo [sec]')
    ylabel('Potenza [W]')
    legend('Potenza Gambe (Ingresso)','Potenza Ingresso Generatore','Potenza Uscita Generatore')
    title('Caratteristiche delle Potenze')
    set(gca,'FontSize',22)
    hold off
    subplot(1,2,2)
    plot(out.ngambe,'LineWidth',4),grid
    xlabel('Tempo [sec]')
    ylabel('Velocità [rpm]')
    legend('ngambe')
    title('Caratteristica della Velocità delle Gambe')
    set(gca,'FontSize',22)
    %%%
    figure
    subplot(1,2,1)
    plot(out.Vg,'LineWidth',4),grid
    hold on
    plot(out.Ea,'LineWidth',4)
    xlabel('Tempo [sec]')
    ylabel('Tensione [V]')
    legend('Vg','Ea')
    title('Caratteristiche delle Tensioni')
    set(gca,'FontSize',22)
    hold off
    subplot(1,2,2)
    plot(out.ig,'LineWidth',4),grid
    xlabel('Tempo [sec]')
    ylabel('Corrente [A]')
    legend('ig')
    title('Caratteristica della Corrente')
    set(gca,'FontSize',22)
    %%%
    figure
    subplot(1,2,1)
    plot(out.alfad,'LineWidth',4),grid
    hold on
    plot(out.betad,'LineWidth',4)
    xlabel('Tempo [sec]') 
    ylabel('Velocità [rad/s]')
    legend('Alfad','Betad')
    title('Caratteristiche delle Velocità Angolari')
    set(gca,'FontSize',22)
    hold off
    subplot(1,2,2)
    plot(out.alfadd,'LineWidth',4),grid
    hold on
    plot(out.betadd,'LineWidth',4)
    xlabel('Tempo [sec]') 
    ylabel('Accelerazione [rad/s^2]')
    legend('Alfadd','Betadd')
    title('Caratteristiche delle Accelerazioni Angolari')
    set(gca,'FontSize',22)
    hold off
    %%%
    figure
    subplot(1,2,1)
    plot(out.Cmsat,'LineWidth',4),grid
    xlabel('Tempo [sec]') 
    ylabel('Coppia [Nm]')
    legend('Cm')
    title('Caratteristiche della Coppia in Ingresso')
    set(gca,'FontSize',22)
    subplot(1,2,2)
    plot(out.Cv,'LineWidth',4),grid
    hold on
    plot(out.Cg,'LineWidth',4)
    plot(out.Catt,'LineWidth',4)
    xlabel('Tempo [sec]') 
    ylabel('Coppia [Nm]')
    legend('Cv','Cg','Catt')
    title('Caratteristiche delle altre Coppie')
    set(gca,'FontSize',22)
    hold off
    %%Algoritmo Valutazione Iv
    if jIv == 1
        Pgambe1 = out.Pgambe;
        Pingen1 = out.Pgin;
        Poutgen1 = out.Pcarico;
        Vg1 = out.Vg;
        ig1 = out.ig;
    elseif jIv == 2
        Pingen2 = out.Pgin;
        Poutgen2 = out.Pcarico;
        Vg2 = out.Vg;
        ig2 = out.ig;
    elseif jIv == 3
        Pingen3 = out.Pgin;
        Poutgen3 = out.Pcarico;
        Vg3 = out.Vg;
        ig3 = out.ig;
    elseif jIv == 4
        Pingen4 = out.Pgin;
        Poutgen4 = out.Pcarico;
        Vg4 = out.Vg;
        ig4 = out.ig;
    elseif jIv == 5
        Pingen5 = out.Pgin;
        Poutgen5 = out.Pcarico;
        Vg5 = out.Vg;
        ig5 = out.ig;
    else
        Pingen6 = out.Pgin;
        Poutgen6 = out.Pcarico;
        Vg6 = out.Vg;
        ig6 = out.ig;
    end
else
    figure
    %subplot(1,2,1)
    %plot(Pgambe1,'LineWidth',4),grid
    %hold on
    %plot(Pingen1,'LineWidth',4)
    %plot(Pingen2,'LineWidth',4)
    %plot(Pingen3,'LineWidth',4)
    %plot(Pingen4,'LineWidth',4)
    %plot(Pingen5,'LineWidth',4)
    %plot(Pingen6,'LineWidth',4)
    %xlabel('Tempo [sec]')
    %ylabel('Potenza [W]')
    %legend('Potenza Gambe (Ingresso)','Pingen, Iv=0 kg.m^2 (rv=0 m)','Pingen, Iv=0.004 kg.m^2 (rv=0.1 m)','Pingen, Iv=0.065 kg.m^2 (rv=0.2 m)','Pingen, Iv=0.328 kg.m^2 (rv=0.3 m)','Pingen, Iv=1.04 kg.m^2 (rv=0.4 m)','Pingen, Iv=2.53 kg.m^2 (rv=0.5 m)')
    %title('Caratteristiche delle Potenze')
    %set(gca,'FontSize',22)
    %hold off
    %subplot(1,2,2)
    plot(Pgambe1,'LineWidth',4),grid
    hold on
    plot(Poutgen1,'LineWidth',4)
    plot(Poutgen2,'LineWidth',4)
    plot(Poutgen3,'LineWidth',4)
    plot(Poutgen4,'LineWidth',4)
    plot(Poutgen5,'LineWidth',4)
    plot(Poutgen6,'LineWidth',4)
    xlabel('Tempo [sec]')
    ylabel('Potenza [W]')
    legend('Pgambe','Pcarico, rv=0 m','Pcarico, rv=0.1 m','Pcarico, rv=0.2 m','Pcarico, rv=0.3 m','Pcarico, rv=0.4 m','Pcarico, rv=0.5 m')
    title('Caratteristiche della Potenza Assorbita dal Carico al Variare di Iv')
    set(gca,'FontSize',22)
    hold off
    figure
    subplot(1,2,1)
    plot(Vg1,'LineWidth',4),grid
    hold on
    plot(Vg2,'LineWidth',4)
    plot(Vg3,'LineWidth',4)
    plot(Vg4,'LineWidth',4)
    plot(Vg5,'LineWidth',4)
    plot(Vg6,'LineWidth',4)
    xlabel('Tempo [sec]')
    ylabel('Tensione [V]')
    legend('Vg, rv=0 m','Vg, rv=0.1 m)','Vg, rv=0.2 m','Vg, rv=0.3 m','Vg, rv=0.4 m','Vg, rv=0.5 m')
    title('Caratteristiche della Tensione Vg al Variare di Iv')
    set(gca,'FontSize',22)
    hold off
    subplot(1,2,2)
    plot(ig1,'LineWidth',4),grid
    hold on
    plot(ig2,'LineWidth',4)
    plot(ig3,'LineWidth',4)
    plot(ig4,'LineWidth',4)
    plot(ig5,'LineWidth',4)
    plot(ig6,'LineWidth',4)
    xlabel('Tempo [sec]')
    ylabel('Potenza [W]')
    legend('ig, rv=0 m','ig, rv=0.1 m','ig, rv=0.2 m','ig, rv=0.3 m','ig, rv=0.4 m','ig, rv=0.5 m')
    title('Caratteristiche delle Potenze')
    set(gca,'FontSize',22)
    hold off
end